<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
	  xmlns:th="http://www.thymeleaf.org">
<head>
	<meta charset="utf-8"/>
	<title>Home</title>
	<link rel="stylesheet" href="../../css/bootstrap.min.css" >
</head>
<body>
<div class="container">

	<div class="row">
		<h2>Update Rating</h2>
	</div>

	<div class="row">
		<form action="#" th:action="@{/rating/update/{id}(id=${rating.id})}" th:object="${rating}" method="post" class="form-horizontal" style="width: 100%">
			<div class="form-group">
				<label for="moodysRating" class="col-sm-2 control-label">MoodysRating</label>
				<div class="col-sm-10">
					<input type="text" th:field="*{moodysRating}" id="moodysRating" placeholder="MoodysRating" class="col-4">
					<p class="text-danger" th:if="${#fields.hasErrors('moodysRating')}" th:errors="*{moodysRating}"></p>
				</div>
			</div>
			<div class="form-group">
				<label for="sandPRating" class="col-sm-2 control-label">SandPRating</label>
				<div class="col-sm-10">
					<input type="text" th:field="*{sandPRating}" id="sandPRating" placeholder="SandPRating" class="col-4">
					<p class="text-danger" th:if="${#fields.hasErrors('sandPRating')}" th:errors="*{sandPRating}"></p>
				</div>
			</div>
			<div class="form-group">
				<label for="fitchRating" class="col-sm-2 control-label">FitchRating</label>
				<div class="col-sm-10">
					<input type="text" th:field="*{fitchRating}" id="fitchRating" placeholder="FitchRating" class="col-4">
					<p class="text-danger" th:if="${#fields.hasErrors('fitchRating')}" th:errors="*{fitchRating}"></p>
				</div>
			</div>
			<div class="form-group">
				<label for="orderNumber" class="col-sm-2 control-label">orderNumber</label>
				<div class="col-sm-10">
					<input type="number" th:field="*{orderNumber}" id="orderNumber" placeholder="FitchRating" class="col-4">
					<p class="text-danger" th:if="${#fields.hasErrors('orderNumber')}" th:errors="*{orderNumber}"></p>
				</div>
			</div>


			<div class="form-group">
				<div class="col-sm-12">
					<input type="hidden" th:field="*{id}">
					<a class="btn btn-danger btn-sm" href="/rating/list">Cancel</a>
					<input class="btn btn-primary btn-sm" type="submit" value="Update Rating">
				</div>
			</div>
		</form>
	</div>

</div>
</body>
</html>